收藏
回答

小程序插件是否允许使用npm?

问题类型 插件 AppID 插件版本号 AppID 微信版本 基础库版本
需求 wxa42934c1ae45d71d 0.1.0 wxa42934c1ae45d71d 最新 2.7.0

在我开发的过程中会使用到阿里云的ali-oss存储,需要npm安装他们的sdk包,不知道小程序插件是否允许使用npm? 虽然我能够在plugin文件夹下面npm install成功,但是在小程序插件内的组件内无论用import或者require都会报错


回答关注问题邀请回答
收藏

1 个回答

  • 小程序技术专员-LastLeaf
    小程序技术专员-LastLeaf
    2019-05-23

    可以使用 npm (必须在 plugin 目录下面)。

    如果使用第三方库,请注意有些 JS 代码可以在小程序中正确运行但不能在插件中运行。

    2019-05-23
    赞同
    回复 1
    • 张熠.ଳ 。
      张熠.ଳ 。
      2019-05-23

      您好,我尝试了在plugin目录下面增加package.json 也安装了我需要的包(ali-oss)但是在使用的时候一直提示undefined,我按照文档说的在对应文件的.json里面增加 OSS: ali-oss 或者相对路径,都还报错,不知道是为什么

      2019-05-23
      回复
登录 后发表内容